<% data.depts.each do |deptKey, dept| %>
### <%= dept.name %> section

- Product: [<%= dept.pm %>]
- Engineering: [<%= dept.em %>]
- Support Manager: [<%= dept.sm %>]
- Quality Engineering: [<%= dept.qm %>]
- Product Marketing: [<%= dept.pmm %>]
- Content Marketing: [<%= dept.cm %>]
- Technical Writing: [<%= dept.tw %>]
- Infrastructure: [<%= dept.rem %>]

  <% data.stages.stages.select{|stageKey,stage| stage.dept==deptKey}.each do |stageKey, stage| %>
    <% stageLine=[] %>
    <% stageLine << "Product Manager: [#{stage.pm}]" if stage.pm %>
    <% stageLine << "Product Marketing Manager: [#{stage.pmm}]" if stage.pmm %>
    <% stageLine << "Backend Engineering Manager: [#{stage.backend_engineering_manager}]" if stage.backend_engineering_manager %>
    <% stageLine << "Frontend Engineering Manager: [#{stage.frontend_engineering_manager}]" if stage.frontend_engineering_manager %>
    <% stageLine << "Test Automation Engineer".pluralize(stage.test_automation_engineers.count) + ": " + stage.test_automation_engineers.map{ |test_er| "[#{test_er}]" }.join(", ") if stage.test_automation_engineers %>
    <% stageLine << "Product Designer".pluralize(stage.ux.count) + ": " + stage.ux.map{ |ux_er| "[#{ux_er}]" }.join(", ") if stage.ux %>
    <% stageLine << "Content Marketing: [#{stage.cm}]" if stage.cm %>
    <% stageLine << "Technical Writer: [#{stage.tech_writer}]" if stage.tech_writer %>
    <% stageLine << "Internal Customer".pluralize(stage.internal_customers.count) + ": " + stage.internal_customers.map{ |customer| "[#{customer}]" }.join(", ") if stage.internal_customers %>
<%= "#### #{stage.display_name} stage" %>
<%= "#{stageLine.join(' \\| ')}" if stageLine %>
    <% if stage.groups %>
      <% stage.groups.each do |groupKey, group| %>
        <% groupLine=[] %>
        <% groupLine << "Product Manager: [#{group.pm}]" if group.pm %>
        <% groupLine << "Product Marketing Manager: [#{group.pmm}]" if group.pmm %>
        <% groupLine << "Engineering Manager: [#{group.em}]" if group.em %>
        <% groupLine << "Support: [#{group.support}]" if group.support %>
        <% groupLine << "Backend Engineering Manager: [#{group.backend_engineering_manager}]" if group.backend_engineering_manager %>
        <% groupLine << "[Backend Team](/handbook/#{group.backend_team})" if group.backend_team %>
        <% groupLine << "Frontend Engineering Manager: [#{group.frontend_engineering_manager}]" if group.frontend_engineering_manager %>
        <% groupLine << "Test Automation Engineer".pluralize(group.test_automation_engineers.count) + ": " + group.test_automation_engineers.map{ |test_er| "[#{test_er}]" }.join(", ") if group.test_automation_engineers %>
        <% groupLine << "Product Designer".pluralize(group.ux.count) + ": " + group.ux.map{ |ux_er| "[#{ux_er}]" }.join(", ") if group.ux %>
        <% groupLine << "Content Marketing: [#{group.cm}]" if group.cm %>
        <% groupLine << "Technical Writer: [#{group.tech_writer}]" if group.tech_writer %>
        <% groupLine << "Internal Customer".pluralize(group.internal_customers.count) + ": " + group.internal_customers.map{ |customer| "[#{customer}]" }.join(", ") if group.internal_customers %>
<%= "##### #{group.name} group" %>
<%= "#{groupLine.join(' \\| ')}" if groupLine %>
        <% if group.categories %>
          <% group.categories.each do |categoryKey| %>
            <% category = data.categories[categoryKey] %>
            <% puts categoryKey if !category%>
            <% name = if category.available then category.name else "*#{category.name}*" end %>
            <% kbdElement = "" %>
            <% if category.available != nil %>
              <% maturity = "Minimal" if category.available.past? %>
            <% end %>
            <% if category.viable != nil %>
              <% maturity = "Viable" if category.viable.past? %>
            <% end %>
            <% if category.complete != nil %>
              <% maturity = "Complete" if category.complete.past? %>
            <% end %>
            <% if category.lovable != nil %>
              <% maturity = "Lovable" if category.lovable.past? %>
            <% end %>
            <% if maturity %>
              <% kbdElement = " <kbd>#{maturity}</kbd>" %>
            <% end %>
            <% if category.available && (category.available.year == Date.today.year) %>
              <% kbdElement = (category.available <= Date.today) ? " <kbd>New in #{Date.today.year}</kbd> " : " <kbd>Planned #{Date.today.year}</kbd> " %>
            <% end %>
            <% if category.available && (category.available.year > Date.today.year) %>
              <% kbdElement = " <kbd>Planned #{category.available.year}</kbd> " %>
            <% end %>
            <% categoryLinks = [] %>
            <% categoryLinks << "[Marketing Page](#{category.marketing_page})" if category.marketing_page %>
            <% categoryLinks << "[Documentation](#{category.documentation})" if category.documentation %>
            <% categoryLinks << "[Vision](#{category.vision})" if category.vision %>
            <% links = categoryLinks.empty? ? '' : (' \\| ' + categoryLinks.join(' • ')) %>
<%= "  * #{name}#{kbdElement ? kbdElement :''}#{links}" %>
          <% end %>

        <% end %>
      <% end %>

    <% end %>
  <% end %>

<% end %>

[Mark Pundsack]: /company/team/#MarkPundsack
[Kenny Johnston]: /company/team/#kencjohnston
[Kenny Johnston (Interim)]: /company/team/#kencjohnston
[Kenny Johnston (Life Support)]: /handbook/product/#life-support-pm-expectations
[Eric Brinkman]: /company/team/#ericbrinkman
[Eric Brinkman (Interim)]: /company/team/#ericbrinkman
[Jeremy Watson]: /company/team/#gitJeremy
[Jeremy Watson (Interim)]: /company/team/#gitJeremy
[Joshua Lambert]: /company/team/#joshlambert
[Joshua Lambert (Interim)]: : /company/team/#joshlambert
[James Ramsay]: /company/team/#jamesramsay
[Daniel Gruesso]: /company/team/#danielgruesso
[Daniel Gruesso (Interim)]: /company/team/#danielgruesso
[Jason Lenny]: /company/team/#j4lenn
[Jason Lenny (Interim)]: /company/team/#j4lenn
[Brendan O'Leary]: /company/team/#olearycrew
[Brendan O'Leary (Interim)]: /company/team/#olearycrew
[Luca Williams]: /company/team/#tipyn2903
[Tim Rizzi]: /company/team/#timrizzi
[Corrina Stasik]: /company/team/#corrinamstasik
[Corrina Stasik (Interim)]: /company/team/#corrinamstasik
[Sarah Waldner]: /company/team/#sarahwaldner25
[Kai Armstrong]: /company/team/#phikai
[Fabian Zimmer]: /company/team/#fzimmer
[Virjinia Alexieva]: /company/team/#valexieva
[Nicole Schwartz]: /company/team/#nicoleschwartz
[Patrick Deuley]: /company/team/#deuley
[Anthony Sandoval]: /company/team/#ansdval
[Dave Smith]: /company/team/#dawsmith
[Jose Finotto]: /company/team/#jose-finotto
[Orit Golowinski]: /company/team/#OritG

[Bartek Marnane]: /company/team/#bartekmarnane
[Bartek Marnane (Interim)]: /company/team/#bartekmarnane
[Chun Du]: /company/team/#cdu1
[Chun Du (Interim)]: /company/team/#cdu1
[Dalia Havens]: /company/team/#dhavens
[Tim Zallmann]: /company/team/#tpmtim
[ZJ (Interim)]: /company/team/#new-vacancy-zj-interim
[Dennis Tang]: /company/team/#tangdennis
[Dennis Tang (Interim)]: /company/team/#tangdennis
[Elliot Rushton]: /company/team/#ehxor
[Elliot Rushton (Interim)]: /company/team/#ehxor
[Dylan Griffith]: /company/team/#DylanGriffith
[Seth Engelhard]: /company/team/#sethengelhard
[Matt Nohr]: /company/team/#matthewnohr
[Adriel Santiago (Interim)]: /company/team/#adrielsantiago
[Philippe Lafoucrière]: /company/team/#plafoucriere
[Sean McGivern]: /company/team/#mcgivernsa
[Marin Jankovski]: /company/team/#maxlazio
[Marin Jankovski (Interim)]: /company/team/#maxlazio
[DJ Mountney (Interim)]: /company/team/#twk3
[Douwe Maan]: /company/team/#DouweM
[Darva Satcher]: /company/team/#dsatcher
[Rachel Nienaber]: /company/team/#rnienaber
[James Lopez (Interim)]: /company/team/#jameslopez
[Olivier Gonzalez (Interim)]: /company/team/#gonzoyumo
[Thomas Woodham]: /company/team/#twoodham

[Tim Z (Interim)]: /company/team/#tpmtim
[Clement Ho]: /company/team/#ClemMakesApps
[André Luís (Interim)]: /company/team/#andr3
[Lukas Eipert (Interim)]: /company/team/#leipert_io
[Donald Cook]: /company/team/#_donaldcook

[Ashish Kuthiala]: /company/team/#kuthiala
[Ashish Kuthiala (Interim)]: /company/team/#kuthiala
[John Jeremiah]: /company/team/#j_jeremiah
[Cindy Blake]: /company/team/#cblake2000
[Liam McAndrew]: /company/team/#lmcandrew
[André Luís]: /company/team/#andr3
[William Chia]: /company/team/#thewilliamchia

[Shaun McCann]: /company/team/#shaunmccann
[Lyle Kozloff]: /company/team/#lkozloff
[Lee Matos]: /company/team/#leematos
[Tom Atkins]: /company/team/#keybits
[Jason Colyer]: /company/team/#jcolyer2007

[Sara Ahbabou]: /company/team/#theberbie
[Cody West]: /company/team/#codyww
[Blair Lunceford]: /company/team/#blairlunce
[Diana Stanley]: /company/team/#dstanley
[Aric Buerer]: /company/team/#AricBuerer
[Lewis Brown]: /company/team/#lwbrown
[Will Chandler]: /company/team/#wchandler
[Greg Myers]: /company/team/#laiuydfoiu
[Thiago Presa]: /company/team/#tpresa
[Cindy Pallares]: /company/team/#cinnnnnnnnnnndy
[TBD]: /company/team/

[Aricka Flowers]: /company/team/#arickaflowers
[Suri Patel]: /company/team/#suripatel
[Erica Lindberg]: /company/team/#EricaLindberg_

[Marcia Ramos]: /company/team/#XMDRamos
[Mike Lewis]: /company/team/#miketechnically
[Evan Read]: /company/team/#eread
[Axil]: /company/team/#_axil

[Darby Frey]: /company/team/#darbyfrey
[Darby Frey (Interim)]: /company/team/#darbyfrey
[John Hampton]: /company/team/#johnrhampton
[John Hampton (Interim)]: /company/team/#johnrhampton
[Daniel Croft]: /company/team/#dcroft

[Annabel Dunstone Gray]: /company/team/#annabeldunstone
[Chris Peressini]: /company/team/#ChrisPeressini
[Taurie Davis]: /company/team/#tauried
[Dimitrie Hoekstra]: /company/team/#dimitrieh
[Pedro Moreira da Silva]: /company/team/#pedromscom
[Matej Latin]: /company/team/#matejlatin
[Andy Volpe]: /company/team/#heyandyvolpe
[Amelia Bauerly]: /company/team/#ameliabauerly
[Rayana Verissimo]: /company/team/#imrayana
[Sarah Voegeli]: /company/team/#sarahvoegeli
[Tim Noah]: /company/team/#timnoah
[Marcel van Remmerden]: /company/team/#mvanremmerden
[Kyle Mann]: /company/team/#kmann
[Alexis Ginsberg]: /company/team/#uhlexsis
[Mike Nichols]: /company/team/#mnichols1
[Jarek Ostrowski]: /company/team/#jareko

[Aleksandr Soborov]: /company/team/#asoborov
[Dan Davison]: /company/team/#sircapsalot
[Désirée Chevalier]: /company/team/#dchevalier2
[Mark Lapierre]: /company/team/#mdlap
[Mek Stittri]: /company/team/#mekdev
[Ramya Authappan]: /company/team/#atramya
[Sanad Liaquat]: /company/team/#sanadliaquat
[Tanya Pazitny]: /company/team/#tpazitny
[Tomislav Nikić]: /company/team/#asktomislav
[Walmyr Lima e Silva Filho]: /company/team/#walmyrlimaesilv
[Zeff Morgan]: /company/team/#zeffer

[Quality Department]: /handbook/engineering/quality/
[Distribution Team]: /handbook/engineering/development/enablement/distribution/
[Site Availability Engineering]: /handbook/engineering/infrastructure/team/sae/
[Site Reliability Engineering]: /handbook/engineering/infrastructure/team/sre/
[Infrastructure Department]: /handbook/engineering/infrastructure/
[Security Department]: /handbook/engineering/security/
[UX Department]: /handbook/engineering/ux/
[Gitter]: /handbook/engineering/development/dev/gitter/
[Tech Writers]: /handbook/product/technical-writing/
[Delivery Team]: /handbook/engineering/infrastructure/team/delivery/
[Product Department]: /handbook/product
[Sales Department]: /handbook/sales
[Marketing Department]: /handbook/marketing
[Alliances Department]: /handbook/alliances
[Finance Department]: /handbook/finance
[Customer Success]: /handbook/customer-success
[Engineering Department]: /handbook/engineering
[People Operations]: /handbook/people-operations
[Support Department]: /handbook/support
[AutoDevOps and Kubernetes Group]: /handbook/product/categories/#auto-devops--kubernetes-group

[Pages]: /product/pages/
[Geo]: /features/gitlab-geo/
[Continuous Integration (CI)]: /features/gitlab-ci-cd/
[Continuous Delivery (CD)]: /features/gitlab-ci-cd/
[Subgroups]: /features/subgroups/
[Service Desk]: /product/service-desk/
